package me.zhengjie.modules.dm.activiti.status;

public enum OperationStatus {
    /** 提交申请 */
    SUBMIT("提交申请","SUBMIT"),

    /** 提交审批人(用户新增审批人提交时,在任务创建后,回调,自动执行当前任务) */
    SUBMIT_APPROVAL_USER("提交审批人","SUBMIT_APPROVAL_USER"),

    /** 审批文印申请 */
    APPROVE("审批文印申请","APPROVE"),

    /** 终止流程实例 */
    PUZ_INST("终止流程实例","SUBMIT_REJECT");

    private final String name;
    private final String value;

    OperationStatus(String name,String value) {
        this.name = name;
        this.value = value;
    }

    public String getValue() {
        return value;
    }

    public String getName() {
        return name;
    }

}
